org.eclipse.actf.util.httpproxy

## Class HTTPProxyFactory

- java.lang.Object
- - org.eclipse.actf.util.httpproxy.HTTPProxyFactory

    public class HTTPProxyFactory
    extends Object

Factory class for `IHTTPProxy`

See Also:
  `IHTTPProxy`, `ProxyConfig`, `ExternalProxyConfig`

### Constructor Summary

Constructors
Constructor and Description
`HTTPProxyFactory()`

### Method Summary

Methods
`static IHTTPProxy` `newProxy(ProxyConfig config, ExternalProxyConfig externalProxyConfig)` Returns a new instance of IHTTPProxy.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HTTPProxyFactory

    public HTTPProxyFactory()

### Method Detail

#### newProxy

    public static IHTTPProxy newProxy(ProxyConfig config,
                      ExternalProxyConfig externalProxyConfig)

Returns a new instance of IHTTPProxy.

Parameters:
  `config` - Configuration for the instance
  `externalProxyConfig` - Configuration of an external Proxy that used by this instance.
Returns:
  instance of HTTPProxy, or null if configurations are invalid